## www.piratipracuji.cz - NUXT.js

### Konfigurace

#### Proměnné předáváné v ENV

- **BASE_URL** - Url, na které staticky generovaný web poběží (defaultně https://www.piratipracuji.cz). Počítá se s tím, že web poběží v rootu domény (subdomény).

- **API_URL** - Url API s daty (defaultně https://www.piratipracuji.cz/api/). Je nutný trailing slash.

#### Další konfigurace

/src-front/nuxt.config.js

#### Spuštění projektu, ladění, generování statického webu

kopie repository
```
$ git clone https://gitlab.pirati.cz/forster.marek/piratipracuji.cz
```

skok do adresáře s projektem
```
$ cd src-front
```

instalace závislostí
```
$ npm install # nebo $ yarn install
```

server na localhost:3000 s hot reloadem
```
$ npm run dev # nebo $ yarn serve
```

production build a spuštění serveru
```
$ npm run build # nebo $ yarn build
$ npm start # nebo $ yarn start
```

generování statického webu
```
$ npm run generate # nebo $ yarn generate
```

